Query runtime provider Profile¶
Query the configuration of a runtime provider Profile.
HTTP
GET $CLOUDSIGMA_API_BASE/workspaces/{workspace_id}/agent-runtime-providers/{provider_id}/profiles/{profile_id}
Before you call this API¶
Configure the regional API endpoint and authentication, and select the target workspace.
Set the operation-specific values used in the request: $PROVIDER_ID, $PROFILE_ID.
Request¶
Shell
curl "$CLOUDSIGMA_API_BASE/workspaces/$WORKSPACE_ID/agent-runtime-providers/$PROVIDER_ID/profiles/$PROFILE_ID" -H "X-API-Key: $CLOUDSIGMA_API_KEY" -H "X-Workspace-ID: $WORKSPACE_ID"
Successful response¶
Returns 200 and the target Profile on success.
JSON
{"code":0,"data":{"provider":"astra","profile":"default"}}
The response fields are as follows.
Field |
Type |
Description |
|---|---|---|
|
object |
Runtime provider Profile. |
Error response¶
JSON
{"code":5,"message":"runtime provider not found"}
Last updated on